Subject: [bug#66525] [PATCH 1/7] gnu: mutter: Remove dependency on (guix build syscalls).

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 16 Oct 2023 12:19:37 -0400

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Maxim Cournoyer <[email-masked]> skribis:
>>>
>>>> I think it could go to core-updates since we're already prepping the
>>>> branch.  It may give some respite to the berlin aarch64 workers, which
>>>> have been working non-stop for days or weeks.
>>>
>>> Yeah, it’s a tempting option in terms of resource usage, but less in
>>> terms of legibility of the whole process.  Dunno.
>>
>> Yeah, for resource usage, bundling this to core-updates makes sense,
>> especially since it should only affect running the test suite of the
>> packages touched, not their output.
>
> OTOH, my initial motivation was to apply patches to syscalls.scm that
> have been queued for quite a while already:
>
>   https://issues.guix.gnu.org/66055
>   https://issues.guix.gnu.org/66054
>   https://issues.guix.gnu.org/65546
>
> I fear that bundling it with ‘core-updates’ would delay it by several
> more months.
>
> Resource usage is a concern due to the low AArch64 build power, but it’s
> not too bad lately, even with ‘rust-team’ and ‘gnome-team’ updates:
>
>   https://ci.guix.gnu.org/metrics
>
> So overall, I think I have a preference for making a dedicated branch
> and queueing a branch merge request.  (I think it’s also good to use
> that process more widely.)
>
> WDYT?

Go for it!  I'm confident core-updates won't take several months, but
who knows :-)

-- 
Thanks,
Maxim